Summary:   A software emulation of the Commodore Amiga 500/1000/2000
Name:      uae
Version:   0.8.15
Release:   1
URL:       http://www.freiburg.linux.de/~uae/
Source:    ftp://ftp.freiburg.linux.de/pub/uae/%{name}-%{version}.tar.gz
Patch:     uae-0.8.11-opt.patch
Copyright: GPL
Group:     Applications/Emulators
BuildRoot: /tmp/%{name}-%{version}-root

%description
UAE is a software emulation of Commodore Amiga 500/1000/2000 system
hardware, which enables you to run most available Amiga software.  Since
it is a software emulation, no extra or special hardware is needed.
Amiga hardware is emulated accurately, so Amiga software is tricked into
thinking it is running on the real thing.  Your computer's display,
keyboard, hard disk and mouse assume the roles of their emulated
counterparts.

%prep

%setup -q

%patch -p1

%build
./configure --prefix=/usr \
            --with-x \
            --enable-dga \
            --enable-vidmode \
            --enable-ui \
            --enable-threads \
            --enable-sound \
            --enable-scsi-device \
	    --enable-penguins

if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

make -j $NRPROC RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/uae/amiga/source
install -d $RPM_BUILD_ROOT/usr/X11R6/bin

install -m755 -s readdisk $RPM_BUILD_ROOT/usr/bin
install -m755 -s uae $RPM_BUILD_ROOT/usr/X11R6/bin

cp -R amiga/* $RPM_BUILD_ROOT/usr/lib/uae/amiga/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
/usr/bin/*
/usr/lib/uae
/usr/X11R6/bin/*

%changelog
* Thu Aug 31 2000 Arne Coucheron <arneco@online.no>
  [0.8.15-1]

* Tue Aug 22 2000 Arne Coucheron <arneco@online.no>
  [0.8.14-1]

* Mon Mar 06 2000 Arne Coucheron <arneco@online.no>
  [0.8.12-1]
- added support for compiling in multiprocessor environment

* Tue Feb 01 2000 Arne Coucheron <arneco@online.no>
  [0.8.11-1]

* Wed Oct 27 1999 Arne Coucheron <arneco@online.no>
  [0.8.10-1]

* Sun Jul 04 1999 Arne Coucheron <arneco@online.no>
  [0.8.9-1]

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-2]
- changed the Summary tag
- changed the Group tag
- changed the %description
- installing the utilities
- readdisk moved to /usr/bin

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-1]
- corrected the Source tag

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.8.7-1]

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [0.8.6-1]

* Sat Jul 11 1998 Arne Coucheron <arneco@online.no>
  [0.8.5-1]

* Wed Jun 03 1998 Arne Coucheron <arneco@online.no>
  [0.8.4-1]